/*
 * テスト用文字表示ドライバー
 */


#include"config.h"
#include"lib.h"
#include"proc.h"
#include"mm.h"
#include"interrupt.h"


extern SYSCALL syscall_table[];
extern void test_program();		/* Test program for load */


/*
 * test用キャラクター表示driver
 * parameters : 表示画面位置,表示キャラクター
 */
int sys_test(int pos,char cha)
{
	char *p=(char*)VIDEO_ADDRESS+pos*2;


	*p=cha;

	return 0;
}


/*
 * parameters : Load process
 * return : 0,Error -1
 */
int test_load(PROC *proc)
{
	/* Load test program */
	if(load_user_page((void*)USER_BEG,PAGE_RW,proc)==-1)return -1;
	flash_tbl(proc->pagedir);
	memcpy((void*)USER_BEG,test_program,PAGE_SIZE);

	return 0;
}
